PipeWire 0.2.6

Functions
main-loop.c File Reference
Include dependency graph for main-loop.c:

## Functions
SPA_EXPORT void | pw_main_loop_add_listener (struct pw_main_loop *loop, struct spa_hook *listener, const struct pw_main_loop_events *events, void *data)
| Add an event listener. More...
SPA_EXPORT struct pw_loop * | pw_main_loop_get_loop (struct pw_main_loop *loop)
| Get the loop implementation. More...

## Function Documentation

## ◆ pw_main_loop_add_listener()

SPA_EXPORT void pw_main_loop_add_listener | ( | struct pw_main_loop * | loop,
|  | struct spa_hook * | listener,
|  | const struct pw_main_loop_events * | events,
|  | void * | data
| ) |  |

Add an event listener.

## ◆ pw_main_loop_get_loop()

SPA_EXPORT struct pw_loop* pw_main_loop_get_loop | ( | struct pw_main_loop * | loop | ) |

Get the loop implementation.

References pw_loop::loop.